petsc-3.4.2 2013-07-02

# KSPSetComputeInitialGuess

set routine to compute the initial guess of the linear system

### Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPSetComputeInitialGuess(KSP ksp,PetscErrorCode (*func)(KSP,Vec,void*),void *ctx)

Logically Collective

### Input Arguments

| ksp | - the KSP context
| func | - function to compute the initial guess
| ctx | - optional context

### Calling sequence of func

     func(KSP ksp,Vec x,void *ctx)

| ksp | - the KSP context
| x | - solution vector
| ctx | - optional user-provided context

### See Also

KSPSolve()

Level:beginner
Location:src/ksp/ksp/interface/itfunc.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex45.c.html
src/ksp/ksp/examples/tutorials/ex45f.F.html